package com.zyc.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zyc.system.mapper.SecurityServicesMapper;
import com.zyc.system.domain.SecurityServices;
import com.zyc.system.service.ISecurityServicesService;

/**
 * 安全服务Service业务层处理
 * 
 * @author zyc
 * @date 2024-12-26
 */
@Service
public class SecurityServicesServiceImpl implements ISecurityServicesService 
{
    @Autowired
    private SecurityServicesMapper securityServicesMapper;

    /**
     * 查询安全服务
     * 
     * @param id 安全服务主键
     * @return 安全服务
     */
    @Override
    public SecurityServices selectSecurityServicesById(Integer id)
    {
        return securityServicesMapper.selectSecurityServicesById(id);
    }

    /**
     * 查询安全服务列表
     * 
     * @param securityServices 安全服务
     * @return 安全服务
     */
    @Override
    public List<SecurityServices> selectSecurityServicesList(SecurityServices securityServices)
    {
        return securityServicesMapper.selectSecurityServicesList(securityServices);
    }

    /**
     * 新增安全服务
     * 
     * @param securityServices 安全服务
     * @return 结果
     */
    @Override
    public int insertSecurityServices(SecurityServices securityServices)
    {
        return securityServicesMapper.insertSecurityServices(securityServices);
    }

    /**
     * 修改安全服务
     * 
     * @param securityServices 安全服务
     * @return 结果
     */
    @Override
    public int updateSecurityServices(SecurityServices securityServices)
    {
        return securityServicesMapper.updateSecurityServices(securityServices);
    }

    /**
     * 批量删除安全服务
     * 
     * @param ids 需要删除的安全服务主键
     * @return 结果
     */
    @Override
    public int deleteSecurityServicesByIds(Integer[] ids)
    {
        return securityServicesMapper.deleteSecurityServicesByIds(ids);
    }

    /**
     * 删除安全服务信息
     * 
     * @param id 安全服务主键
     * @return 结果
     */
    @Override
    public int deleteSecurityServicesById(Integer id)
    {
        return securityServicesMapper.deleteSecurityServicesById(id);
    }
}
